#include <cglm/struct.h>
#include <GL/glew.h>

#include "meshing.h"

/*!
 * @brief top-level world generation function
 *
 * @param[in] pos       the position of the center of the roughly spherical world
 * @return          the world mesh as a heap-allocated list of vertices.
 */
mesh* generateWorld(vec3s pos);
void populateIcosphere(mesh* mesh, unsigned char order, GLfloat radius);
void normalizeVertices(GLfloat* vertices, unsigned int vertexArrayCount, GLfloat radius);

unsigned int reducedSymmetricPair(unsigned int, unsigned int);
